org.apache.tomcat.util.digester

## Class RuleSetBase

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase

All Implemented Interfaces:
  RuleSet

Direct Known Subclasses:
  ClusterRuleSet, ContextRuleSet, EngineRuleSet, HostRuleSet, MemoryRuleSet, NamingRuleSet, RealmRuleSet, TldRuleSet, WebRuleSet

    public abstract class RuleSetBase
    extends Object
    implements RuleSet

Convenience base class that implements the `RuleSet` interface. Concrete implementations should list all of their actual rule creation logic in the `addRuleSet()` implementation.

### Field Summary

Fields
`protected String` `namespaceURI` The namespace URI that all Rule instances created by this RuleSet will be associated with.

### Constructor Summary

Constructors
Constructor and Description
`RuleSetBase()`

### Method Summary

Methods
`abstract void` `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`String` `getNamespaceURI()` Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### namespaceURI

    protected String namespaceURI

The namespace URI that all Rule instances created by this RuleSet will be associated with.

### Constructor Detail

#### RuleSetBase

    public RuleSetBase()

### Method Detail

#### getNamespaceURI

    public String getNamespaceURI()

Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

Specified by:
  `getNamespaceURI` in interface `RuleSet`

#### addRuleInstances

    public abstract void addRuleInstances(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.